## Functions

### gst_video_event_is_force_key_unit

    gboolean
    gst_video_event_is_force_key_unit (GstEvent * event)

Checks if an event is a force key unit event. Returns true for both upstream and downstream force key unit events.

Parameters:

`event` –

A GstEvent to check

Returns –

TRUE if the event is a valid force key unit event

### GstVideo.prototype.video_event_is_force_key_unit

    function GstVideo.prototype.video_event_is_force_key_unit(event: Gst.Event): {
        // javascript wrapper for 'gst_video_event_is_force_key_unit'
    }

Checks if an event is a force key unit event. Returns true for both upstream and downstream force key unit events.

Parameters:

`event` (Gst.Event) –

A Gst.Event to check

Returns (Number) –

true if the event is a valid force key unit event

### GstVideo.video_event_is_force_key_unit

    def GstVideo.video_event_is_force_key_unit (event):
        #python wrapper for 'gst_video_event_is_force_key_unit'

Checks if an event is a force key unit event. Returns true for both upstream and downstream force key unit events.

Parameters:

`event` (Gst.Event) –

A Gst.Event to check

Returns (bool) –

True if the event is a valid force key unit event

### gst_video_event_new_downstream_force_key_unit

    GstEvent *
    gst_video_event_new_downstream_force_key_unit (GstClockTime timestamp,
                                                   GstClockTime stream_time,
                                                   GstClockTime running_time,
                                                   gboolean all_headers,
                                                   guint count)

Creates a new downstream force key unit event. A downstream force key unit event can be sent down the pipeline to request downstream elements to produce a key unit. A downstream force key unit event must also be sent when handling an upstream force key unit event to notify downstream that the latter has been handled.

To parse an event created by gst_video_event_new_downstream_force_key_unit use gst_video_event_parse_downstream_force_key_unit.

Parameters:

`timestamp` –

the timestamp of the buffer that starts a new key unit

`stream_time` –

the stream_time of the buffer that starts a new key unit

`running_time` –

the running_time of the buffer that starts a new key unit

`all_headers` –

TRUE to produce headers when starting a new key unit

`count` –

integer that can be used to number key units

Returns –

The new GstEvent

### GstVideo.prototype.video_event_new_downstream_force_key_unit

    function GstVideo.prototype.video_event_new_downstream_force_key_unit(timestamp: Number, stream_time: Number, running_time: Number, all_headers: Number, count: Number): {
        // javascript wrapper for 'gst_video_event_new_downstream_force_key_unit'
    }

Creates a new downstream force key unit event. A downstream force key unit event can be sent down the pipeline to request downstream elements to produce a key unit. A downstream force key unit event must also be sent when handling an upstream force key unit event to notify downstream that the latter has been handled.

To parse an event created by GstVideo.prototype.video_event_new_downstream_force_key_unit use GstVideo.prototype.video_event_parse_downstream_force_key_unit.

Parameters:

`timestamp` (Number) –

the timestamp of the buffer that starts a new key unit

`stream_time` (Number) –

the stream_time of the buffer that starts a new key unit

`running_time` (Number) –

the running_time of the buffer that starts a new key unit

`all_headers` (Number) –

true to produce headers when starting a new key unit

`count` (Number) –

integer that can be used to number key units

Returns (Gst.Event) –

The new GstEvent

### GstVideo.video_event_new_downstream_force_key_unit

    def GstVideo.video_event_new_downstream_force_key_unit (timestamp, stream_time, running_time, all_headers, count):
        #python wrapper for 'gst_video_event_new_downstream_force_key_unit'

Creates a new downstream force key unit event. A downstream force key unit event can be sent down the pipeline to request downstream elements to produce a key unit. A downstream force key unit event must also be sent when handling an upstream force key unit event to notify downstream that the latter has been handled.

To parse an event created by GstVideo.video_event_new_downstream_force_key_unit use GstVideo.video_event_parse_downstream_force_key_unit.

Parameters:

`timestamp` (int) –

the timestamp of the buffer that starts a new key unit

`stream_time` (int) –

the stream_time of the buffer that starts a new key unit

`running_time` (int) –

the running_time of the buffer that starts a new key unit

`all_headers` (bool) –

True to produce headers when starting a new key unit

`count` (int) –

integer that can be used to number key units

Returns (Gst.Event) –

The new GstEvent

### gst_video_event_new_still_frame

    GstEvent *
    gst_video_event_new_still_frame (gboolean in_still)

Creates a new Still Frame event. If in_still is TRUE, then the event represents the start of a still frame sequence. If it is FALSE, then the event ends a still frame sequence.

To parse an event created by gst_video_event_new_still_frame use gst_video_event_parse_still_frame.

Parameters:

`in_still` –

boolean value for the still-frame state of the event.

Returns –

The new GstEvent

### GstVideo.prototype.video_event_new_still_frame

    function GstVideo.prototype.video_event_new_still_frame(in_still: Number): {
        // javascript wrapper for 'gst_video_event_new_still_frame'
    }

Creates a new Still Frame event. If in_still is true, then the event represents the start of a still frame sequence. If it is false, then the event ends a still frame sequence.

To parse an event created by GstVideo.prototype.video_event_new_still_frame use GstVideo.prototype.video_event_parse_still_frame.

Parameters:

`in_still` (Number) –

boolean value for the still-frame state of the event.

Returns (Gst.Event) –

The new GstEvent

### GstVideo.video_event_new_still_frame

    def GstVideo.video_event_new_still_frame (in_still):
        #python wrapper for 'gst_video_event_new_still_frame'

Creates a new Still Frame event. If in_still is True, then the event represents the start of a still frame sequence. If it is False, then the event ends a still frame sequence.

To parse an event created by GstVideo.video_event_new_still_frame use GstVideo.video_event_parse_still_frame.

Parameters:

`in_still` (bool) –

boolean value for the still-frame state of the event.

Returns (Gst.Event) –

The new GstEvent

### gst_video_event_new_upstream_force_key_unit

    GstEvent *
    gst_video_event_new_upstream_force_key_unit (GstClockTime running_time,
                                                 gboolean all_headers,
                                                 guint count)

Creates a new upstream force key unit event. An upstream force key unit event can be sent to request upstream elements to produce a key unit.

running_time can be set to request a new key unit at a specific running_time. If set to GST_CLOCK_TIME_NONE, upstream elements will produce a new key unit as soon as possible.

To parse an event created by gst_video_event_new_downstream_force_key_unit use gst_video_event_parse_downstream_force_key_unit.

Parameters:

`running_time` –

the running_time at which a new key unit should be produced

`all_headers` –

TRUE to produce headers when starting a new key unit

`count` –

integer that can be used to number key units

Returns –

The new GstEvent

### GstVideo.prototype.video_event_new_upstream_force_key_unit

    function GstVideo.prototype.video_event_new_upstream_force_key_unit(running_time: Number, all_headers: Number, count: Number): {
        // javascript wrapper for 'gst_video_event_new_upstream_force_key_unit'
    }

Creates a new upstream force key unit event. An upstream force key unit event can be sent to request upstream elements to produce a key unit.

running_time can be set to request a new key unit at a specific running_time. If set to GST_CLOCK_TIME_NONE, upstream elements will produce a new key unit as soon as possible.

To parse an event created by GstVideo.prototype.video_event_new_downstream_force_key_unit use GstVideo.prototype.video_event_parse_downstream_force_key_unit.

Parameters:

`running_time` (Number) –

the running_time at which a new key unit should be produced

`all_headers` (Number) –

true to produce headers when starting a new key unit

`count` (Number) –

integer that can be used to number key units

Returns (Gst.Event) –

The new GstEvent

### GstVideo.video_event_new_upstream_force_key_unit

    def GstVideo.video_event_new_upstream_force_key_unit (running_time, all_headers, count):
        #python wrapper for 'gst_video_event_new_upstream_force_key_unit'

Creates a new upstream force key unit event. An upstream force key unit event can be sent to request upstream elements to produce a key unit.

running_time can be set to request a new key unit at a specific running_time. If set to GST_CLOCK_TIME_NONE, upstream elements will produce a new key unit as soon as possible.

To parse an event created by GstVideo.video_event_new_downstream_force_key_unit use GstVideo.video_event_parse_downstream_force_key_unit.

Parameters:

`running_time` (int) –

the running_time at which a new key unit should be produced

`all_headers` (bool) –

True to produce headers when starting a new key unit

`count` (int) –

integer that can be used to number key units

Returns (Gst.Event) –

The new GstEvent

### gst_video_event_parse_downstream_force_key_unit

    gboolean
    gst_video_event_parse_downstream_force_key_unit (GstEvent * event,
                                                     GstClockTime * timestamp,
                                                     GstClockTime * stream_time,
                                                     GstClockTime * running_time,
                                                     gboolean * all_headers,
                                                     guint * count)

Get timestamp, stream-time, running-time, all-headers and count in the force key unit event. See gst_video_event_new_downstream_force_key_unit for a full description of the downstream force key unit event.

running_time will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` –

A GstEvent to parse

`timestamp` ( [out]) –

A pointer to the timestamp in the event

`stream_time` ( [out]) –

A pointer to the stream-time in the event

`running_time` ( [out]) –

A pointer to the running-time in the event

`all_headers` ( [out]) –

A pointer to the all_headers flag in the event

`count` ( [out]) –

A pointer to the count field of the event

Returns –

TRUE if the event is a valid downstream force key unit event.

### GstVideo.prototype.video_event_parse_downstream_force_key_unit

    function GstVideo.prototype.video_event_parse_downstream_force_key_unit(event: Gst.Event): {
        // javascript wrapper for 'gst_video_event_parse_downstream_force_key_unit'
    }

Get timestamp, stream-time, running-time, all-headers and count in the force key unit event. See GstVideo.prototype.video_event_new_downstream_force_key_unit for a full description of the downstream force key unit event.

running_time will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` (Gst.Event) –

A Gst.Event to parse

Returns a tuple made of:

(Number ) –

true if the event is a valid downstream force key unit event.

`timestamp` (Number ) –

true if the event is a valid downstream force key unit event.

`stream_time` (Number ) –

true if the event is a valid downstream force key unit event.

`running_time` (Number ) –

true if the event is a valid downstream force key unit event.

`all_headers` (Number ) –

true if the event is a valid downstream force key unit event.

`count` (Number ) –

true if the event is a valid downstream force key unit event.

### GstVideo.video_event_parse_downstream_force_key_unit

    def GstVideo.video_event_parse_downstream_force_key_unit (event):
        #python wrapper for 'gst_video_event_parse_downstream_force_key_unit'

Get timestamp, stream-time, running-time, all-headers and count in the force key unit event. See GstVideo.video_event_new_downstream_force_key_unit for a full description of the downstream force key unit event.

running_time will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` (Gst.Event) –

A Gst.Event to parse

Returns a tuple made of:

(bool ) –

True if the event is a valid downstream force key unit event.

`timestamp` (int ) –

True if the event is a valid downstream force key unit event.

`stream_time` (int ) –

True if the event is a valid downstream force key unit event.

`running_time` (int ) –

True if the event is a valid downstream force key unit event.

`all_headers` (bool ) –

True if the event is a valid downstream force key unit event.

`count` (int ) –

True if the event is a valid downstream force key unit event.

### gst_video_event_parse_still_frame

    gboolean
    gst_video_event_parse_still_frame (GstEvent * event,
                                       gboolean * in_still)

Parse a GstEvent, identify if it is a Still Frame event, and return the still-frame state from the event if it is. If the event represents the start of a still frame, the in_still variable will be set to TRUE, otherwise FALSE. It is OK to pass NULL for the in_still variable order to just check whether the event is a valid still-frame event.

Create a still frame event using gst_video_event_new_still_frame

Parameters:

`event` –

A GstEvent to parse

`in_still` –

(out): A boolean to receive the still-frame status from the event, or NULL

Returns –

TRUE if the event is a valid still-frame event. FALSE if not

### GstVideo.prototype.video_event_parse_still_frame

    function GstVideo.prototype.video_event_parse_still_frame(event: Gst.Event): {
        // javascript wrapper for 'gst_video_event_parse_still_frame'
    }

Parse a Gst.Event, identify if it is a Still Frame event, and return the still-frame state from the event if it is. If the event represents the start of a still frame, the in_still variable will be set to TRUE, otherwise FALSE. It is OK to pass NULL for the in_still variable order to just check whether the event is a valid still-frame event.

Create a still frame event using GstVideo.prototype.video_event_new_still_frame

Parameters:

`event` (Gst.Event) –

A Gst.Event to parse

Returns a tuple made of:

(Number ) –

true if the event is a valid still-frame event. false if not

`in_still` (Number ) –

true if the event is a valid still-frame event. false if not

### GstVideo.video_event_parse_still_frame

    def GstVideo.video_event_parse_still_frame (event):
        #python wrapper for 'gst_video_event_parse_still_frame'

Parse a Gst.Event, identify if it is a Still Frame event, and return the still-frame state from the event if it is. If the event represents the start of a still frame, the in_still variable will be set to TRUE, otherwise FALSE. It is OK to pass NULL for the in_still variable order to just check whether the event is a valid still-frame event.

Create a still frame event using GstVideo.video_event_new_still_frame

Parameters:

`event` (Gst.Event) –

A Gst.Event to parse

Returns a tuple made of:

(bool ) –

True if the event is a valid still-frame event. False if not

`in_still` (bool ) –

True if the event is a valid still-frame event. False if not

### gst_video_event_parse_upstream_force_key_unit

    gboolean
    gst_video_event_parse_upstream_force_key_unit (GstEvent * event,
                                                   GstClockTime * running_time,
                                                   gboolean * all_headers,
                                                   guint * count)

Get running-time, all-headers and count in the force key unit event. See gst_video_event_new_upstream_force_key_unit for a full description of the upstream force key unit event.

Create an upstream force key unit event using gst_video_event_new_upstream_force_key_unit

running_time will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` –

A GstEvent to parse

`running_time` ( [out]) –

A pointer to the running_time in the event

`all_headers` ( [out]) –

A pointer to the all_headers flag in the event

`count` ( [out]) –

A pointer to the count field in the event

Returns –

TRUE if the event is a valid upstream force-key-unit event. FALSE if not

### GstVideo.prototype.video_event_parse_upstream_force_key_unit

    function GstVideo.prototype.video_event_parse_upstream_force_key_unit(event: Gst.Event): {
        // javascript wrapper for 'gst_video_event_parse_upstream_force_key_unit'
    }

Get running-time, all-headers and count in the force key unit event. See GstVideo.prototype.video_event_new_upstream_force_key_unit for a full description of the upstream force key unit event.

Create an upstream force key unit event using GstVideo.prototype.video_event_new_upstream_force_key_unit

running_time will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` (Gst.Event) –

A Gst.Event to parse

Returns a tuple made of:

(Number ) –

true if the event is a valid upstream force-key-unit event. false if not

`running_time` (Number ) –

true if the event is a valid upstream force-key-unit event. false if not

`all_headers` (Number ) –

true if the event is a valid upstream force-key-unit event. false if not

`count` (Number ) –

true if the event is a valid upstream force-key-unit event. false if not

### GstVideo.video_event_parse_upstream_force_key_unit

    def GstVideo.video_event_parse_upstream_force_key_unit (event):
        #python wrapper for 'gst_video_event_parse_upstream_force_key_unit'

Get running-time, all-headers and count in the force key unit event. See GstVideo.video_event_new_upstream_force_key_unit for a full description of the upstream force key unit event.

Create an upstream force key unit event using GstVideo.video_event_new_upstream_force_key_unit

running_time will be adjusted for any pad offsets of pads it was passing through.

Parameters:

`event` (Gst.Event) –

A Gst.Event to parse

Returns a tuple made of:

(bool ) –

True if the event is a valid upstream force-key-unit event. False if not

`running_time` (int ) –

True if the event is a valid upstream force-key-unit event. False if not

`all_headers` (bool ) –

True if the event is a valid upstream force-key-unit event. False if not

`count` (int ) –

True if the event is a valid upstream force-key-unit event. False if not

The results of the search are